Package in.cdac.medinfo.csnotk.csnolib.commons

## Enum EnumSemanticTag

- java.lang.Object
- - java.lang.Enum<EnumSemanticTag>
  - - in.cdac.medinfo.csnotk.csnolib.commons.EnumSemanticTag

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EnumSemanticTag>`

      public enum EnumSemanticTag
      extends java.lang.Enum<EnumSemanticTag>
      implements java.io.Serializable

  Provides the values for all the possible Semantic Tags/ hierarchies

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` |
    `SITUATION_WITH_EXPLICIT_CONTEXT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EnumSemanticTag` | `getEnum​(java.lang.String val)` | Returns enumeration for given string value.
    `java.lang.String` | `getValue()` | Returns the value associated with enumeration.
    `void` | `setValue​(java.lang.String value)` | Sets value for enumeration.
    `static EnumSemanticTag` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EnumSemanticTag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final EnumSemanticTag ALL

    - #### SITUATION_WITH_EXPLICIT_CONTEXT

          public static final EnumSemanticTag SITUATION_WITH_EXPLICIT_CONTEXT

  - ### Method Detail

    - #### values

          public static EnumSemanticTag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumSemanticTag c : EnumSemanticTag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumSemanticTag valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets value for enumeration.
      Parameters:
        `value` - `String` value to be set.

    - #### getValue

          public java.lang.String getValue()

      Returns the value associated with enumeration.
      Returns:
        `String` value for enumeration.

    - #### getEnum

          public static EnumSemanticTag getEnum​(java.lang.String val)

      Returns enumeration for given string value.
      Parameters:
        `val` - `String` value for which enumeration is to be retrieve.
      Returns:
        `EnumSemanticTag` enumeration for given string value